
#ifndef FreqCounter_h
#define FreqCounter_h

#include <avr/interrupt.h>

// Frequenzzhler mit Timer 2 und Timer 1
// Hardware: z.B. AtMega328P oder AtMega1284P
//
// Timer 2: Erzeugt einen 1ms Zhler, dient als Zeitrahmen (Gate) fr die Frequenzmessung.
//			Die Zeit der Frequenzmessung gibt man im Millisekunden beim Start der Messung an.
// Timer 1: Wird vom Messsignal ber T1 mit dem Takt versorgt. Das Messsignal taktet also Timer1.
//			Messung ist auf das Hz genau.


namespace FreqCounter 
{
    extern volatile unsigned long f_freq;
    extern volatile unsigned char f_ready;
    extern volatile unsigned char f_mlt;
    extern volatile unsigned int f_tics;
    extern volatile unsigned int f_period;

    void start(int ms);
}
#endif
